{% extends 'base.html.twig' %}

{% block title %}Blog index{% endblock %}

{% block body %}
    <h1>Blog index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Content</th>
                <th>CreatedAt</th>
                <th>ModifyAt</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for blog in blogs %}
            <tr>
                <td>{{ blog.id }}</td>
                <td>{{ blog.title }}</td>
                <td>{{ blog.content }}</td>
                <td>{{ blog.createdAt ? blog.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ blog.modifyAt ? blog.modifyAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('app_blog_show', {'id': blog.id}) }}">show</a>
                    <a href="{{ path('app_blog_edit', {'id': blog.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_blog_new') }}">Create new</a>
{% endblock %}
